<?
/*--------------------------------------------+
| PHP-Fusion 7 - Content Management System    |
|---------------------------------------------|
| author: Nick Jones (Digitanium)  2002-2008 |
| web: http://www.php-fusion.co.uk            |
| email: nick@php-fusion.co.uk                |
|---------------------------------------------|
| Released under the terms and conditions of  |
| the GNU General Public License (Version 2)  |
+--------------------------------------------*/
if (!defined("IN_FUSION") || !checkrights("I")) { die("Access Denied"); }

require_once INFUSIONS."eXtreme_joke/infusion_db.php";

if (file_exists(INFUSIONS."eXtreme_joke/locale/".$settings['locale'].".php")) {
include INFUSIONS."eXtreme_joke/locale/".$settings['locale'].".php";
} else {
include INFUSIONS."eXtreme_joke/locale/English.php";
}

// Infusion general information
$inf_title = $locale['EJN_512'];
$inf_description = $locale['EJN_513'];
$inf_title = "Jokes";
$inf_version = "1.2";
$inf_developer = "eXtreme fusion - crew & Nevethir Upgrade-Dallas";
$inf_email = "dallas38@verizon.net";
$inf_weburl = "http://dtawebdesign.com/";


// Infusion Paths
$inf_folder = "eXtreme_joke";


// Database table commands are stored in an array, the first table, or a single
// table must always be in array [0].			
$inf_newtable[1] = DB_JOKE_CAT." (
`joke_cat_id` smallint(5) unsigned NOT NULL auto_increment,
`joke_cat_name` varchar(100) NOT NULL default '',
`joke_cat_description` varchar(200) NOT NULL default '',
 PRIMARY KEY  (`joke_cat_id`)
 ) TYPE=MyISAM;";

$inf_newtable[2] = DB_JOKE." (
`joke_id` smallint(5) unsigned NOT NULL auto_increment,
`joke_nick` varchar(30) NOT NULL default '',
`joke_mail` varchar(50) NOT NULL default '',
`joke_name` varchar(100) NOT NULL default '',
`joke_description` text NOT NULL,
`joke_cat` smallint(5) unsigned NOT NULL default '0',
`joke_datestamp` int(10) unsigned NOT NULL default '0',
PRIMARY KEY  (`joke_id`)
) TYPE=MyISAM;";
	

// Database Table Drop Command : Drop tables if infusion is uninstalled.
$inf_droptable[1] = DB_JOKE_CAT;
$inf_droptable[2] = DB_JOKE;

$inf_adminpanel[1] = array(
	"title" => "eXtreme_joke",
	"image" => "infusion_panel.gif",
	"panel" => "joke_cat_admin.php",
	"rights" => "EJ"
);

$inf_sitelink[1] = array(
	"title" => "Jokes",
	"url" => "joke.php",
	"visibility" => "0"
);
?>
