<?php
/*--------------------------------------------+
| PHP-Fusion 7 - Content Management System    |
|---------------------------------------------|
| author: Nick Jones (Digitanium)  2002-2008 |
| web: http://www.php-fusion.co.uk            |
| email: nick@php-fusion.co.uk                |
|---------------------------------------------|
| Released under the terms and conditions of  |
| the GNU General Public License (Version 2)  |
+--------------------------------------------*/
// If register_globals is turned off, extract super globals (php 4.2.0+)
if (ini_get('register_globals') != 1) {
	if ((isset($_POST) == true) && (is_array($_POST) == true)) extract($_POST, EXTR_OVERWRITE);
	if ((isset($_GET) == true) && (is_array($_GET) == true)) extract($_GET, EXTR_OVERWRITE);
}
require_once "../../maincore.php";
require_once THEMES."templates/header.php";
include INFUSIONS."eXtreme_joke/infusion_db.php";

if (file_exists(INFUSIONS."eXtreme_joke/locale/".$settings['locale'].".php")) {
include INFUSIONS."eXtreme_joke/locale/".$settings['locale'].".php";
} else {
include INFUSIONS."eXtreme_joke/locale/English.php";
}

if (!isset($rowstart) || !isNum($rowstart)) $rowstart = 0;
if (isset($joke_id)) {
	$result = dbquery("UPDATE ".$db_prefix."joke SET joke_count=joke_count+1 WHERE joke_id='$joke_id'");
	$result = dbquery("SELECT joke_url FROM ".$db_prefix."joke WHERE joke_id='$joke_id'");
	$data = dbarray($result);
	header ("Location:".$data['joke_url']);
}
if (!isset($cat_id)) {
	opentable($locale['EJN_400']);
	$result = dbquery("SELECT * FROM ".$db_prefix."joke_cat ORDER BY joke_cat_name");
	$rows = dbrows($result);
	if ($rows != 0) {
		$columns = 1; $counter = 0;
		echo "<table width='100%' cellspacing='0' cellpadding='0' class='tbl'>\n<tr>\n";
		while($data = dbarray($result)) {
			if ($counter != 0) if ($counter % $columns == 0) echo "</tr>\n<tr>\n";
			$num = dbcount("(joke_cat)", "".$db_prefix."joke", "joke_cat='".$data['joke_cat_id']."'");
			echo "<td align='left' valign='top'><b><a href='$PHP_SELF?cat_id=".$data['joke_cat_id']."'><u>".$data['joke_cat_name']."</u></b></a> <span class='small2'>(# of Jokes <font color='red'><b>$num</b></font>)</span>";
			if ($data['joke_cat_description'] != "") echo "<br>\n<span class='small'><font color='orange'>".$data['joke_cat_description']."</font></span>";
			echo "</td>\n";
			$counter++;
		}
		echo "</tr>\n</table>\n";
	} else {
		echo "<center><br>\n".$locale['EJN_430']."<br><br>\n</center>\n";
	}
	closetable();
} else {
	if (!isNum($cat_id)) { header("Location:".$PHP_SELF); exit; }
	if ($data = dbarray(dbquery("SELECT * FROM ".$db_prefix."joke_cat WHERE joke_cat_id='$cat_id'"))) {
		opentable($locale['EJN_400'].": ".$data['joke_cat_name']);
		$rows = dbcount("(*)", "".$db_prefix."joke", "joke_cat='$cat_id'");
		if (!$rowstart) $rowstart = 0;
		if ($rows != 0) {
			$result = dbquery("SELECT * FROM ".$db_prefix."joke WHERE joke_cat='$cat_id' ORDER BY joke_name LIMIT $rowstart,8");
			$numrows = dbrows($result); $i = 1;
			while ($data = dbarray($result)) {
				if ($data['joke_datestamp']+604800 > time()+($settings['timeoffset']*3600)) {
					$new = " <span class='small'>".$locale['EJN_410']."</span>";
				} else {
					$new = "";
				}
				echo "<b>".$data['joke_name']."</b>$new\n";
				if ($data['joke_description'] != "")
				$joke_joke = $data['joke_description'];
				$joke_joke = nl2br($joke_joke);
                                echo "<br>".$joke_joke."<br><br>\n";
echo "<span class='small'><font class='alt'>".$locale['EJN_2003']." </font><a href='mailto:".$data['joke_mail']."'>";
				if ($data['joke_nick'] != "") echo $data['joke_nick']."</a>&nbsp;&nbsp;&nbsp;&nbsp;";
				echo "<font class='alt'>".$locale['EJN_411']."</font> ".showdate("%d.%m.%y", $data['joke_datestamp'])."\n";
                                echo ($i != $numrows ? "<hr>\n" : "\n"); $i++;
			}
			echo "<br><hr><a href=\"javascript:history.go(-1)\"><b>".$locale['EJN_2009']."</b></a><br><div align='center' style='margin-top:5px;'>\n".makePageNav($rowstart,8,$rows,3,"$PHP_SELF?cat_id=$cat_id&")."\n</div>\n";
			closetable();
		} else {
			echo "<center><br>".$locale['EJN_2004']." <a href='joke_add.php'>".$locale['EJN_2005']."</a><br><br></center>\n";
			closetable();
		}
	} else {
		header("Location:".$PHP_SELF); exit;
	}
}

require_once THEMES."templates/footer.php";
?>