<?php
/*--------------------------------------------+
| PHP-Fusion 7 - Content Management System    |
|---------------------------------------------|
| author: Nick Jones (Digitanium)  2002-2008 |
| web: http://www.php-fusion.co.uk            |
| email: nick@php-fusion.co.uk                |
|---------------------------------------------|
| Released under the terms and conditions of  |
| the GNU General Public License (Version 2)  |
+--------------------------------------------*/
// If register_globals is turned off, extract super globals (php 4.2.0+)
if (ini_get('register_globals') != 1) {
	if ((isset($_POST) == true) && (is_array($_POST) == true)) extract($_POST, EXTR_OVERWRITE);
	if ((isset($_GET) == true) && (is_array($_GET) == true)) extract($_GET, EXTR_OVERWRITE);
}

@include_once "../../config.php";
include_once "../../maincore.php";
require_once THEMES."templates/header.php";
include INFUSIONS."eXtreme_joke/infusion_db.php";


if (file_exists(INFUSIONS."eXtreme_joke/locale/".$settings['locale'].".php")) {
include INFUSIONS."eXtreme_joke/locale/".$settings['locale'].".php";
} else {
include INFUSIONS."eXtreme_joke/locale/English.php";
}

error_reporting(E_ALL ^ E_NOTICE);
opentable("eXtreme Jokes");
echo "<table align='center' width='400' cellspacing='0' cellpadding='0' class='tbl'><table align='center' width='400' cellspacing='0' cellpadding='0' class='tbl'>
<tr>
<td width='50%'>
<p align='center'><a href='joke_cat_admin.php'><b>".$locale['EJN_2002']."</b></a>
</td>
<td width='50%'>
<p align='center'><a href='joke_admin.php'><b>".$locale['EJN_2001']."</b></a>
</td>
</tr>
</table>";
closetable();
tablebreak();
$result = dbquery("SELECT * FROM ".DB_JOKE_CAT."");
if (dbrows($result) != 0) {
	if ($step == "delete") {
		$result = dbquery("DELETE FROM ".DB_JOKE." WHERE joke_id='$joke_id'");
		header("Location:joke_admin.php?joke_cat_id=$joke_cat_id");
	}
	if (isset($_POST['save_joke'])) {
		$joke_nick = stripinput($_POST['joke_nick']);
		$joke_mail = stripinput($_POST['joke_mail']);
		$joke_name = stripinput($_POST['joke_name']);
		$joke_description = stripinput($_POST['joke_description']);
		if ($step == "edit") {
			$result = dbquery("UPDATE ".DB_JOKE." SET joke_nick='$joke_nick', joke_mail='$joke_mail', joke_name='$joke_name', joke_description='$joke_description', joke_cat='$joke_cat', joke_datestamp='".time()."' WHERE joke_id='$joke_id'");
			header("Location:joke_admin.php?joke_cat_id=$joke_cat");
		} else {
			$result = dbquery("INSERT INTO ".DB_JOKE." VALUES('', '$joke_nick', '$joke_mail', '$joke_name', '$joke_description', '$joke_cat', '".time()."')");
			header("Location:joke_admin.php?joke_cat_id=$joke_cat");
		}
	}
	if ($step == "edit") {
		$result = dbquery("SELECT * FROM ".DB_JOKE." WHERE joke_id='$joke_id'");
		$data = dbarray($result);
		$joke_nick = $data['joken_nick'];
		$joke_mail = $data['joke_mail'];
		$joke_name = $data['joke_name'];
		$joke_description = $data['joke_description'];
		$formaction = "$PHP_SELF?step=edit&joke_cat_id=$joke_cat_id&joke_id=$joke_id";
		opentable($locale['EJN_470']);
	} else {
		$formaction = "$PHP_SELF";
		opentable($locale['EJN_471']);
	}
	$result2 = dbquery("SELECT * FROM ".DB_JOKE_CAT." ORDER BY joke_cat_name");
	if (dbrows($result2) != 0) {
		while ($data2 = dbarray($result2)) {
			if ($step == "edit") {
				if ($data['joke_cat'] == $data2['joke_cat_id']) { $sel = " selected"; } else { $sel = ""; }
			}
			$editlist .= "<option value='".$data2['joke_cat_id']."'$sel>".$data2['joke_cat_name']."</option>\n";
		}
	}
	echo "<form name='addcat' method='post' action='$formaction'>
<table align='center' width='400' cellspacing='0' cellpadding='0' class='tbl'>
<tr>
<td width='80' align='right'>".$locale['EJN_485']."</td>
<td><input type='text' name='joke_nick' value='$joke_nick' class='textbox' style='width:250px;'></td>
</tr>
<tr>
<td width='80' align='right'>".$locale['EJN_486']."</td>
<td><input type='text' name='joke_mail' value='$joke_mail' class='textbox' style='width:250px;'></td>
</tr>
<tr>
<td width='80' align='right'>".$locale['EJN_480']."</td>
<td><input type='text' name='joke_name' value='$joke_name' class='textbox' style='width:250px;'></td>
</tr>
<tr>
<td width='80' align='right'>".$locale['EJN_481']."</td>
<td><textarea name='joke_description' cols='75' rows='5' class='textbox'>$joke_description</textarea></td>
</tr>
<tr>
<td width='80' align='right'>".$locale['EJN_483']."</td>
<td><select name='joke_cat' class='textbox' style='width:150px;'>
$editlist</select></td>
</tr>
<tr>
<td align='center' colspan='2'>
<input type='submit' name='save_joke' value='".$locale['EJN_484']."' class='button'></td>
</tr>
</table>
</form>\n";
	closetable();
	tablebreak();
	opentable($locale['EJN_500']);
	echo "<table align='center' width='100%' cellspacing='0' cellpadding='0' class='tbl'>\n";
	$result = dbquery("SELECT * FROM ".DB_JOKE_CAT." ORDER BY joke_cat_name");
	if (dbrows($result) != 0) {
		echo "<tr>
<td class='tbl2'>".$locale['EJN_501']."</td>
<td align='right' class='tbl2'>".$locale['EJN_502']."</td>
</tr>
<tr>
<td colspan='2' height='1'></td>
</tr>\n";
		while ($data = dbarray($result)) {
			if ($data['joke_cat_id'] == $joke_cat_id) { $p_img = "off"; $div = ""; } else { $p_img = "on"; $div = "style='display:none'"; }
			echo "<tr>
<td class='tbl2' width='99%'>".$data['joke_cat_name']."</td>
<td class='tbl2'><img onclick=\"javascript:flipBox('".$data['joke_cat_id']."')\" name='b_".$data['joke_cat_id']."' border='0' src='".THEME."images/panel_".$p_img.".gif'></td>
</tr>\n";
			$result2 = dbquery("SELECT * FROM ".$db_prefix."joke WHERE joke_cat='".$data['joke_cat_id']."' ORDER BY joke_name");
			if (dbrows($result2) != 0) {
				echo "<tr>
<td colspan='2'>
<div id='box_".$data['joke_cat_id']."'$div>
<table width='100%' cellspacing='0' cellpadding='0' class='tbl'>\n";
				while ($data2 = dbarray($result2)) {
					echo "<tr>
<td>".$data2['joke_name']."</td>
<td width='95'><a href='$PHP_SELF?step=edit&joke_cat_id=".$data['joke_cat_id']."&joke_id=".$data2['joke_id']."'>".$locale['EJN_503']."</a> -
<a href='$PHP_SELF?step=delete&joke_cat_id=".$data['joke_cat_id']."&joke_id=".$data2['joke_id']."' onClick='return DeleteItem()'>".$locale['EJN_504']."</a></td>
</tr>\n";
				}
				echo "</table>
</div>
</td>
</tr>\n";
			} else {
				echo "<tr>
<td colspan='2'>
<div id='box_".$data['joke_cat_id']."' style='display:none'>
<table width='100%' cellspacing='0' cellpadding='0' class='tbl'>
<tr>
<td>".$locale['EJN_505']."</td>
</tr>
</table>
</div>
</td>
</tr>\n";
			}
		}
		echo "</table>\n";
		echo "<script>
function DeleteItem()
{
return confirm('".$locale['EJN_460']."');
}
</script>\n";
	} else {
		echo "<tr>
<td align='center'><br>
".$locale['EJN_506']."<br><br>
<a href='joke_cat.php'>".$locale['EJN_507']."<br><br></td>
</tr>
</table>\n";
	}
	closetable();
} else {
	opentable($locale['EJN_500']);
	echo "<center>".$locale['EJN_508']."<br>
".$locale['EJN_509']."<br>
<br>
<a href='joke_cat_admin.php'>".$locale['EJN_510']."</a>".$locale['EJN_511']."</center>\n";
	closetable();
}

echo "</td>\n";
require_once THEMES."templates/footer.php";
?>
